arrangers:
- link: artist/42527
  names:
    en: Kohta "SOLIDSTATE" Takahashi
catalog: N/A
categories:
- Artist Discography
category: Artist Discography
classification: Original Work
composers:
- link: artist/42527
  names:
    en: Kohta "SOLIDSTATE" Takahashi
covers: []
discs:
- disc_length: '9:16'
  name: Disc 1
  tracks:
  - names:
      English: Mick (Peace Mix)
    track_length: '9:16'
distributor: &id001
  link: org/965
  names:
    en: Bandcamp
    ja: Bandcamp
    ja-latn: Bandcamp
  role: retailer
link: album/117719
lyricists: []
media_format: Digital
meta:
  added_date: 2022-01-16T08:16
  edited_date: 2022-01-16T08:16
  fetched_date: 2025-11-22T16:36
  ttl: 86400
  visitors: 602
name: Mick (Peace Mix)
names:
  en: Mick (Peace Mix)
  ja: Mick (Peace Mix)
  ja-latn: Mick (Peace Mix)
notes: A remix of "mick(unifinish)" from Kohta Takahashi's album EVERYONE.
organizations:
- &id002
  names:
    en: solidstatejapan
    ja: solidstatejapan
    ja-latn: solidstatejapan
  role: publisher
- *id001
performers: []
picture_full: https://media.vgm.io/albums/91/117719/117719-3214d125c624.jpg
picture_small: https://medium-media.vgm.io/albums/91/117719/117719-3214d125c624.jpg
picture_thumb: https://thumb-media.vgm.io/albums/91/117719/117719-3214d125c624.jpg
publish_format: Commercial
publisher: *id002
related: []
release_date: '2013'
release_events: []
release_price:
  currency: JPY
  price: 230.0
reprints: []
stores:
- link: http://solidstatejapan.bandcamp.com/track/mick-peace-mix
  name: Bandcamp
vgmdb_link: https://vgmdb.net/album/117719?perpage=99999
votes: 0
